Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class ScopeAwareNearestVersionSelector.ConflictGroup

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.support.ScopeAwareNearestVersionSelector.ConflictGroup

    @groovy.transform.CompileStatic
    static final class ScopeAwareNearestVersionSelector.ConflictGroup

Property Summary
`java.util.Collection` | `candidates`
`java.util.Collection` | `constraints`
`org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictItem` | `winner`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### candidates

    final java.util.Collection candidates

### constraints

    final java.util.Collection constraints

### winner

    org.eclipse.aether.util.graph.transformer.ConflictResolver$ConflictItem winner

Method Detail

### toString

    @java.lang.Override
    java.lang.String toString()

Groovy Documentation